
%global meadversion 3.0.3
%global namedversion 3.0.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package xml-security}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.3.redhat-00001

Name:           %{?scl_prefix}xml-security
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache XML Security for Java
Group:          Development/Java

%if %with mead
Source100: xmlsec-3.0.3.redhat-00001-project-sources.tar.gz
Source102: xmlsec-3.0.3.redhat-00001-cyclonedx.json
Source103: xmlsec-3.0.3.redhat-00001-cyclonedx.xml
Source104: xmlsec-3.0.3.redhat-00001-javadoc.jar
Source105: xmlsec-3.0.3.redhat-00001.jar
Source106: xmlsec-3.0.3.redhat-00001.pom
Source107: xmlsec-3.0.3.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://santuario.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache XML Security for Java supports XML-Signature Syntax and
Processing, W3C Recommendation 12 February 2002, and XML Encryption
Syntax and Processing, W3C Recommendation 10 December 2002. As of
version 1.4, the library supports the standard Java API JSR-105: XML
Digital Signature APIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xmlsec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xmlsec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xmlsec-%{namedversion} -x META-INF/\*
%{__ln_s} xmlsec-%{namedversion} %{buildroot}%{_javadocdir}/xmlsec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE
%{_javadir}/xmlsec-%{namedversion}.jar
%{_javadir}/xmlsec.jar
%if %with javadoc
%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{_javadir}/xmlsec-javadoc.jar
%endif
%{_javadir}/xmlsec-%{namedversion}-sources.jar
%{_javadir}/xmlsec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xmlsec-%{namedversion}
%{_javadocdir}/xmlsec
%endif

%changelog
* Fri Oct 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.3-1.redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.1-1.redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-4.redhat_00001.1
- Built by CPaaS

* Thu Dec 15 2022 Permaine Cheung <pcheung@redhat.com> - 3.0.0-3.redhat_00001.1
- Relax R:

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-2.redhat_00001.1
- Built by CPaaS

* Fri Aug 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.redhat_00001.1
- Built by CPaaS

